
QGIS Application - Bug report #4027

Icon missing in the menu when using ubuntu since 2009

2011-06-27 05:11 PM - Matteo Gismondi

Status: Rejected

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 14014

Description

The issue has been highlighted several times.

In these years I have installed qgis in a good amount of pc (more than 10). Despite the different hardware and the different version of

ubuntu installed these pc had (and still have) the same issue, the icons inside the qgis menu are not present.

Related issues:

Duplicated by QGIS Application - Bug report # 4434: "project properties" and ... Closed 2011-10-24

History

#1 - 2011-06-27 05:42 PM - Giovanni Manghi

are you using qgis 1.7? It has been solved in qgis 1.7... please try again and report back. Thanks.

#2 - 2011-06-27 05:55 PM - Matteo Gismondi

Dear Giovanni

The issue appear in qgis 1.4 1.5 1.6 1.7 and 1.8 (I am using the nightly at the moment because finally the raster legend has being implemented)

#3 - 2011-06-27 06:08 PM - Giovanni Manghi

I had this issue in qgis 1.6 under Ubuntu (but not under Windows and Debian). In any case it was fixed somewhere along the road to 1.7. It is now a long

that I don't see anymore this issue, that afaik it was only a bug of the Ubuntu packages.

#4 - 2011-06-27 06:34 PM - Matteo Gismondi

I have checked again now on 3 pc.

Sony vaio tt  - Ubuntu 11.04 64bit with qgis 1.7         ---- NO icons

Desktop pc    - Ubuntu 10.10 32but with qgis 1.7         ---- NO icons

DELL latitude - Ubuntu 11.04 64bit with qgis 1.8 nightly ---- NO icons

Different machines same problem. There are two options or the bug is still there or I am the most unlucky person in the planet. (under windows or debian

there is no such issue I know)

#5 - 2011-06-27 06:34 PM - Matteo Gismondi
Matteo Gismondi wrote:

I have checked again now on 3 pc.

Sony vaio tt  - Ubuntu 11.04 64bit with qgis 1.7         ---- NO icons

Desktop pc    - Ubuntu 10.10 32bit with qgis 1.7         ---- NO icons

DELL latitude - Ubuntu 11.04 64bit with qgis 1.8 nightly ---- NO icons

Different machines same problem. There are two options or the bug is still there or I am the most unlucky person in the planet. (under windows or

debian there is no such issue I know)

#6 - 2011-07-26 09:48 PM - Matteo Gismondi

So, no possibility of solving this issue?

#7 - 2011-07-26 11:33 PM - Paolo Cavallini

- Pull Request or Patch supplied set to No

Seems a local problem, as many Ubuntu users do not report it

#8 - 2011-07-26 11:39 PM - Matteo Gismondi

Ok, I give up then. I installed QGIS 1.8 in several machines with ubuntu 11.04 64bit and all have the same issue, that's why I was thinking about a bug.

Same error in 4 different pc (2 with clean install after total format)? I guess I am just really unlucky. Thank you anyway for answering.

#9 - 2011-07-27 02:08 AM - Giovanni Manghi

Matteo Gismondi wrote:

Ok, I give up then. I installed QGIS 1.8 in several machines with ubuntu 11.04 64bit and all have the same issue, that's why I was thinking about a

bug. Same error in 4 different pc (2 with clean install after total format)? I guess I am just really unlucky. Thank you anyway for answering.

I can say again that this issue has been solved a while ago. I have made several "fresh" installations of Ubuntu Natty/QGIS 1.7 or Trunk (via nightly build

repo) and there is no problem.

#10 - 2011-07-28 08:28 AM - Goyo D

I think this is Unity-specific (or even indicator-appmenu-specific). I can see the icons from classic gnome or lubuntu but not from a unity session.

#11 - 2011-07-28 08:52 AM - Giovanni Manghi

Gregorio Díaz-Marta Mateos wrote:

I think this is Unity-specific (or even indicator-appmenu-specific). I can see the icons from classic gnome or lubuntu but not from a unity session.
confirmed, it seems a Unity/QT problem -> I guess that this issue need to be reported upstream and should not be a QGIS problem at all.

#12 - 2011-07-28 05:06 PM - Matteo Gismondi

Thank you Gregorio. I was starting to think that I had some kind of curse..^_^

Yes I can also confirm that by using ubuntu 11.04 the problem appear. However by using ubuntu 11.04 with gnome classic (that is not the standard coming

from a "fresh" installation) there is no problem.

I guess we can simply wait for the new release of ubuntu as unity is under heavy development.

Thank you very much to you all for your kindness and support.

Regards,

Matteo

#13 - 2011-07-29 01:23 AM - Paolo Cavallini

- Resolution set to invalid

- Status changed from Open to Rejected
